Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1737194

[PATCH 2/2] kbuild: mkcompile_h: do not create .version

From Masahiro Yamada <yamada.masahiro@socionext.com>
Newsgroups linux.kernel
Subject [PATCH 2/2] kbuild: mkcompile_h: do not create .version
Date 2017-09-22 07:40 +0200
Message-ID <usoQW-2fe-9@gated-at.bofh.it> (permalink)
References <usoQW-2fe-7@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


This script need not to create .version; it will be created by
scripts/link-vmlinux.sh later.  Clean-up the code slightly.

Signed-off-by: Masahiro Yamada <yamada.masahiro@socionext.com>
---

 scripts/mkcompile_h | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/scripts/mkcompile_h b/scripts/mkcompile_h
index fd8fdb9..f1ee4eb 100755
--- a/scripts/mkcompile_h
+++ b/scripts/mkcompile_h
@@ -27,12 +27,7 @@ LC_ALL=C
 export LC_ALL
 
 if [ -z "$KBUILD_BUILD_VERSION" ]; then
-	if [ -r .version ]; then
-		VERSION=`cat .version`
-	else
-		VERSION=0
-		echo 0 > .version
-	fi
+	VERSION=$(cat .version 2>/dev/null || echo 1)
 else
 	VERSION=$KBUILD_BUILD_VERSION
 fi
-- 
2.7.4

Back to linux.kernel | Previous | NextPrevious in thread | Find similar | Unroll thread


Thread

[PATCH 1/2] kbuild: link-vmlinux.sh: simplify .version increment Masahiro Yamada <yamada.masahiro@socionext.com> - 2017-09-22 07:40 +0200
  [PATCH 2/2] kbuild: mkcompile_h: do not create .version Masahiro Yamada <yamada.masahiro@socionext.com> - 2017-09-22 07:40 +0200

csiph-web